Subject: bug#23043: breakpoints not honoured by guile master

From: Jan Nieuwenhuizen <[email-masked]>
Date: Thu, 17 Mar 2016 17:40:59 +0100

Hi,

I am have resurrected my GNU-style file-line-column patch to make
Emacs's GUD work with Guile.  It only handles debug prompts at the
moment, I'm working on backtraces.  However, breakpoints do not
work for me.

Using the attached file, I set breakpoints in two ways, the
debugger does not stop.  It works with stable-2.0.

Here's what I do

    17:32:23 janneke@drakenvlieg:~/src/guile
    $ ~/guile-2.2/bin/guile -q
    GNU Guile 2.1.2-dirty
    Copyright (C) 1995-2014 Free Software Foundation, Inc.

    Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
    This program is free software, and you are welcome to redistribute it
    under certain conditions; type `,show c' for details.

    Enter `,help' for help.
    scheme@(guile-user)> (load "debug.scm")
    ;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
    ;;;       or pass the --no-auto-compile argument to disable.
    ;;; compiling /home/janneke/src/guile/debug.scm
    ;;; compiled /home/janneke/.cache/guile/ccache/2.2-LE-8-3.7/home/janneke/src/guile/debug.scm.go
    scheme@(guile-user)> ,break-at "/home/janneke/src/guile/debug.scm" 4
    Trap 0: Breakpoint at /home/janneke/src/guile/debug.scm:4.
    scheme@(guile-user)> ,break function
    Trap 1: Breakpoint at #<procedure function ()>.
    scheme@(guile-user)> (function)
    one
    two
    three
    scheme@(guile-user)>

it works with 2.0

    17:29:47 janneke@drakenvlieg:~/src/guile
    $ ~/guile-2.0/bin/guile -q
    GNU Guile 2.0.11.175-9044f-dirty
    Copyright (C) 1995-2016 Free Software Foundation, Inc.

    Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
    This program is free software, and you are welcome to redistribute it
    under certain conditions; type `,show c' for details.

    Enter `,help' for help.
    scheme@(guile-user)> (load "debug.scm")
    ;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
    ;;;       or pass the --no-auto-compile argument to disable.
    ;;; compiling /home/janneke/src/guile/debug.scm
    ;;; compiled /home/janneke/.cache/guile/ccache/2.0-LE-8-2.0/home/janneke/src/guile/debug.scm.go
    scheme@(guile-user)> ,break-at "/home/janneke/src/guile/debug.scm" 4
    Trap 0: Breakpoint at /home/janneke/src/guile/debug.scm:4.
    scheme@(guile-user)> ,break function
    Trap 1: Breakpoint at #<procedure function ()>.
    scheme@(guile-user)> (function)
    Trap 1: Breakpoint at #<procedure function ()>
    Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
    debug.scm:1:0:
    1:0       (define (function)
    scheme@(guile-user) [1]> ,finish
    one
    two
    Trap 0: Breakpoint at /home/janneke/src/guile/debug.scm:4
    Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
    debug.scm:3:2:
    3:2         (display "two\n")
    scheme@(guile-user) [1]>

Greetings, Jan

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar®  http://AvatarAcademy.nl